Funções da Filter
Funções para Manuseamento de Funções
Funções da Filter
PHP Manual

# filter_var

(PHP 5 >= 5.2.0, PECL filter:0.11.0)

filter_var — Filtra a variável com um especificado filtro

### Descrição

mixed filter_var ( mixed `$variable` [, int `$filter` [, mixed `$options` ]] )

### Parâmetros

`variable`

  Valor para filtrar.

`filter`

  ID do filtro. O padrão é `FILTER_SANITIZE_STRING`.

`options`

  Array associativo de opções ou disjunção binário de flags. Se o filtro aceita opções, flags podem ser providas no campo "flags" do array. Para o "callback" do filtro, o tipo callback pode ser passado.

### Valor Retornado

Retorna o dado filtrado, ou `FALSE` se o filtro falhar.

### Exemplos

Exemplo #1 Um exemplo da filter_var()

`<?php
var_dump(filter_var('bob@example.com', FILTER_VALIDATE_EMAIL));
var_dump(filter_var('example.com', FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED));
?>`

O exemplo acima irá imprimir:

    string(15) "bob@example.com"
    bool(false)

### Veja Também

- filter_var_array()
- filter_input()
- filter_input_array()
- informações sobre o tipo callback

Funções da Filter
Funções para Manuseamento de Funções
Funções da Filter
PHP Manual